--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.26, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.26, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.68, 0.86, 0.025, "- .::Deutz-Agrostar 6.81 Info::. -");			
		renderText(0.68, 0.83, 0.02, "Taste 7/9: Rundumleuchte rechts/links ausklappen");
		renderText(0.68, 0.81, 0.02, "Taste Pos1: Rundumleuchte ein/aus");
		renderText(0.68, 0.79, 0.02, "Taste Numpad 5: Heckscheibe auf/zu");			
		renderText(0.68, 0.77, 0.02, "Taste Numpad 4: Tuer links auf/zu");
		renderText(0.68, 0.75, 0.02, "Taste Numpad 6: Tuer rechts auf/zu");
		renderText(0.68, 0.73, 0.02, "Taste Numpad Enter: Motor an/aus");
		renderText(0.68, 0.71, 0.02, "Taste 7: Arbeitslicht vorne an/aus");
		renderText(0.68, 0.69, 0.02, "Taste 8: Arbeitslicht hinten an/aus ");
		renderText(0.68, 0.67, 0.02, "Noch ohne Funktion");
		renderText(0.68, 0.65, 0.02, "Taste 0: Hupe");
		renderText(0.68, 0.63, 0.02, "Taste Numpad 1: Blinker links an/aus");
		renderText(0.68, 0.61, 0.02, "Taste Numpad 2. Warnblinker an/aus");
		renderText(0.68, 0.59, 0.02, "Taste Numpad 3 Blinker rechts an/aus");
        renderText(0.68, 0.56, 0.02, "powered by www.der-ls-treffpunkt.de/");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




